CREATE TABLE `ban` (
`reason` varchar(250) NOT NULL,
`who` varchar(100) NOT NULL,
`date` int(40) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

CREATE TABLE `klyboknet_captcha` (
  `code` text,
  `ua` text,
  `ip` text,
  `ts` bigint(20) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `klyboknet_clicks` (
  `who` text,
  `to` text,
  `ts` bigint(20) default NULL,
  `id_user` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `klyboknet_guest` (
  `id` int(11) NOT NULL auto_increment,
  `who` text,
  `text` text,
  `answer` text,
  `ts` bigint(20) default NULL,
  `ua` text,
  `nans` text,
  `izmts` BIGINT(20) NOT NULL,
  `izmkol` INT(3) NOT NULL DEFAULT '0',
  `izmwho` TEXT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_lichka` (
  `number` int(11) NOT NULL auto_increment,
  `idot` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `idto` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `date` varchar(255) character set utf8 collate utf8_unicode_ci NOT NULL,
  `tema` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `mess` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `status` text character set utf8 collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_lichkaout` (
  `number` int(11) NOT NULL auto_increment,
  `idot` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `idto` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `date` varchar(255) character set utf8 collate utf8_unicode_ci NOT NULL,
  `tema` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `mess` text character set utf8 collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_news` (
  `id` int(11) NOT NULL auto_increment,
  `text` text,
  `tema` text,
  `ts` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_users` (
  `id` int(11) NOT NULL auto_increment,
  `login` text,
  `password` text,
  `mail` text,
  `ts` bigint(20) default NULL,
  `cto` bigint(20) default NULL,
  `cfrom` float default NULL,
  `ip` text,
  `ua` text,
  `ets` bigint(20) default '0',
  `admin` tinyint(4) default '0',
  `typeclick` int(11) default '0',
  `pid` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `bank` float NOT NULL default '0',
  `time` bigint(20) NOT NULL default '0',
  `mesto` text,
  `moder` tinyint(4) default '0',
  `imja` text,
  `gorod` text,
  `icq` text,
  `wm` text,
  `osebe` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_actia` (
  `id` int(11) NOT NULL auto_increment,
  `text` text,
  `tema` text,
  `ts` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `stavki` (
`id` int(11) NOT NULL auto_increment,
  `kr` int(11) default '0',
  `pr` float(11,4) default '0',
  `nick`  tinytext,
  `time` tinytext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `users` (
`id` int(11) NOT NULL auto_increment,
`nick`  tinytext,
`money` float(11,4) default '0',
`in_money` int(11) default '0',
`out_money` int(11) default '0',
`wmr` tinytext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `klyboknet_onas` (
  `id` int(11) NOT NULL auto_increment,
  `who` text,
  `text` text,
  `ts` bigint(20) default NULL,
  `ua` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_chat` (
  `id` int(11) NOT NULL auto_increment,
  `who` text,
  `text` text,
  `ts` bigint(20) default NULL,
  `nastr` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `klyboknet_icq` (
  `id` int(11) NOT NULL auto_increment,
  `who` text character set utf8 collate utf8_unicode_ci,
  `text` text character set utf8 collate utf8_unicode_ci,
  `answer` text character set utf8 collate utf8_unicode_ci,
  `ts` bigint(20) default NULL,
  `ua` text character set utf8 collate utf8_unicode_ci,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_shinfo` (
  `id` int(11) NOT NULL auto_increment,
  `login` text,
  `icq` text,
  `data` text,
  `msg` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `news_com` (
  `id` int(11) NOT NULL auto_increment,
  `nid` int(11) NOT NULL default '0',
  `date` text NOT NULL,
  `login` text NOT NULL,
  `text` text NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `ac_com` (
  `id` int(11) NOT NULL auto_increment,
  `nid` int(11) NOT NULL default '0',
  `date` text NOT NULL,
  `login` text NOT NULL,
  `text` text NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_perevod` (
  `id` int(11) NOT NULL auto_increment,
  `otkogo` text,
  `komy` text,
  `skolko` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `mrek` (
`id` int(11) NOT NULL auto_increment,
`link` text,
`nlink` text,
`date` int(40) default NULL,
`who` text,
PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `klyboknet_aneks` (
  `id` int(11) NOT NULL auto_increment,
  `who` text,
  `text` text,
  `ts` bigint(20) default NULL,
  `ua` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_url` (
  `id` int(11) NOT NULL auto_increment,
  `id_user` text character set utf8 collate utf8_unicode_ci,
  `url` text character set utf8 collate utf8_unicode_ci,
  `nazv` text character set utf8 collate utf8_unicode_ci,
  `credit` int(11) default NULL,
  `perehod` bigint(20) default NULL,
  `typeclick` int(11) NOT NULL,
  `time` bigint(20) default NULL,
  `moder` int(11) NOT NULL,
  `activ` int(3) NOT NULL default '1',
  `ban_prihin` varchar(255) character set utf8 collate utf8_unicode_ci NOT NULL,
  `referer` bigint(20) NOT NULL,
  `ref` text character set utf8 collate utf8_unicode_ci,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_zadanie` (
  `id` int(11) NOT NULL auto_increment,
  `login` text,
  `name` text character set utf8 collate utf8_unicode_ci,
  `text` text character set utf8 collate utf8_unicode_ci,
  `purse` text NOT NULL,
  `life` text NOT NULL,
  `time_on` text NOT NULL,
  `status` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `klyboknet_zmsg` (
  `id` int(11) NOT NULL auto_increment,
  `id_zadanie` text NOT NULL,
  `login` text,
  `text` text character set utf8 collate utf8_unicode_ci,
  `date` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_forums` (
  `id` int(5) NOT NULL auto_increment,
  `name` varchar(40) character set utf8 collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_posts` (
  `id` int(7) NOT NULL auto_increment,
  `id_theme` int(5) NOT NULL,
  `id_forum` int(3) NOT NULL,
  `login` text,
  `text` text character set utf8 collate utf8_unicode_ci,
  `time` text,
  `izmts` BIGINT(20) NOT NULL ,
  `izmkol` INT(3) NOT NULL DEFAULT '0',
  `izmwho` TEXT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_themes` (
  `id` int(5) NOT NULL auto_increment,
  `id_forum` int(5) NOT NULL,
  `name` text character set utf8 collate utf8_unicode_ci,
  `login` text,
  `time` text,
  `last_time` text NOT NULL,
  `type` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `klyboknet_stats` (
  `who` varchar(60) NOT NULL,
  `cn` smallint(6) unsigned NOT NULL,
  `ts` date NOT NULL,
  UNIQUE KEY `who` (`who`,`cn`,`ts`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;